import request from "@/utils/request";

export function getSellectall(query) {
  return request({
    url: "/zhiyuanzhe/certificates/sellectall",
    method: "get",
    params: query,
  });
}

export function postElectron(data) {
  return request({
    url: "/zhiyuanzhe/dsbrecords/submit",
    method: "post",
    data,
  });
}

export function getInfo(id) {
  return request({
    url: "/zhiyuanzhe/dsbrecords/" + id,
    method: "get",
  });
}

export function editData(data) {
  return request({
    url: "/zhiyuanzhe/dsbrecords",
    method: "put",
    data,
  });
}

//获取个性化证书发放列表
export function dsbrecordsList(query) {
  return request({
    url: "/zhiyuanzhe/dsbrecords/list",
    method: "get",
    params: query,
  });
}
//获取兑换记录详细信息
export function dsbrecordsInfo(id) {
  return request({
    url: "/zhiyuanzhe/dsbrecords/" + id,
    method: "get",
  });
}
//发放个性化证书
export function issue(data) {
  return request({
    url: "/zhiyuanzhe/dsbrecords/issue",
    method: "post",
    data,
  });
}

// 查询一次性证书列表
export function getYcList(query) {
  return request({
    url: "/zhiyuanzhe/points/list",
    method: "get",
    params: query,
  });
}
//获取一次性活动详情信息
export function getYcInfo(id) {
  return request({
    url: "/zhiyuanzhe/points/" + id,
    method: "get",
  });
}

//发放一次行证书
export function ycIssue(data) {
  return request({
    url: "/zhiyuanzhe/points/issue",
    method: "post",
    data,
  });
}
